Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSravan Kumar Lakkimsetti2016-10-26 07:01:59 -0400
committerSravan Kumar Lakkimsetti2016-10-26 07:01:59 -0400
commit0eb5be1f6755914860f642d4044f5941b0ef582c (patch)
treed10b6b9b103a5daa57ac056f63694f347b953f7c
parent5f6330192f3046bddbae403f1972b1aebcacd710 (diff)
downloadeclipse.platform.releng.aggregator-0eb5be1f6755914860f642d4044f5941b0ef582c.tar.gz
eclipse.platform.releng.aggregator-0eb5be1f6755914860f642d4044f5941b0ef582c.tar.xz
eclipse.platform.releng.aggregator-0eb5be1f6755914860f642d4044f5941b0ef582c.zip
Bug 499147 - testDirtyLogSize test failed for I20160803-2000
Change-Id: Id2e88c11851a5d60233c61b09fb5dcc02a022cc3 Signed-off-by: Sravan Kumar Lakkimsetti <sravankumarl@in.ibm.com>
-rwxr-xr-xproduction/master-build.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/production/master-build.sh b/production/master-build.sh
index 30c9da6c..ab50822d 100755
--- a/production/master-build.sh
+++ b/production/master-build.sh
@@ -435,6 +435,14 @@ fi
fi
fi
+# check for dirt in working tree.
+$SCRIPT_PATH/dirtReport.sh $BUILD_ENV_FILE 2>&1 | tee $logsDirectory/dirtReport.txt
+checkForErrorExit $? "Error occurred during dirt report"
+#the dirt report doesnot get written to the disk before the promotion starts. Make sure it is written to the disk
+sync
+sync
+sync
+
$SCRIPT_PATH/publish-eclipse.sh $BUILD_ENV_FILE >$logsDirectory/mb080_publish-eclipse_output.txt
checkForErrorExit $? "Error occurred during publish-eclipse"
printf "%-35s %s\n" "Load after publish-eclipse: " "$(uptime)" >> ${loadLog}
@@ -477,14 +485,6 @@ then
#checkForErrorExit $? "Error occurred during createReports.sh"
fi
-# check for dirt in working tree.
-$SCRIPT_PATH/dirtReport.sh $BUILD_ENV_FILE 2>&1 | tee $logsDirectory/dirtReport.txt
-checkForErrorExit $? "Error occurred during dirt report"
-#the dirt report doesnot get written to the disk before the promotion starts. Make sure it is written to the disk
-sync
-sync
-sync
-
# if all ended well, put "promotion scripts" in known locations
$SCRIPT_PATH/promote-build.sh $BUILD_ENV_FILE 2>&1 | tee $logsDirectory/mb090_promote-build_output.txt
checkForErrorExit $? "Error occurred during promote-build"

Back to the top